#
# spec file for package python-numericalunits
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-numericalunits
Version:        1.25
Release:        1.15
Summary:        Python module for defining quantities with units
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/sbyrnes321/numericalunits
Source:         https://files.pythonhosted.org/packages/source/n/numericalunits/numericalunits-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/sbyrnes321/numericalunits/master/tests/tests.py
BuildRequires:  %{python_module setuptools}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Units and dimensional analysis compatible with everything

This package implements units and dimensional analysis in an unconventional
way with unique advantages:

* Compatible with everything
* Zero storage overhead
* Zero calculation overhead

%prep
%setup -q -n numericalunits-%{version}
dos2unix numericalunits.py
cp %{SOURCE1} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v tests/

%files %{python_files}
%license LICENSE.txt
%doc Changes.txt README.rst
%{python_sitelib}/numericalunits-%{version}*egg-info/
%{python_sitelib}/numericalunits.py*
%pycache_only %{python_sitelib}/__pycache__/numericalunits.*

%changelog
* Tue May 25 2021 pgajdos@suse.com
- version update to 1.25
  * add nu_eval() function.
- %%check: use %%pyunittest rpm macro
* Sun Dec  1 2019 Arun Persaud <arun@gmx.de>
- specfile:
  - disable python2
- update to version 1.24:
  * drop support for python 2
  * update to latest CODATA
  * add more acceleration-related units.
* Fri May 24 2019 John Vandenberg <jayvdb@gmail.com>
- Run dos2unix on source file which changed to DOS format
- Update to v1.23
  * add a smoke test
  * drop support except 2.7+ and 3.4+
  * random initializations now span more orders of magnitude
  * update to latest CODATA
* Mon May 20 2019 John Vandenberg <jayvdb@gmail.com>
- Use GitHub tagged archive and post-release tests.py to add
  %%doc and %%check
* Sat Dec 22 2018 Todd R <toddrme2178@gmail.com>
- Update to 1.22
  * add horsepower_imperial and horsepower_metric
  * update all values to CODATA as of July 2018.
* Sun Jun 10 2018 jengelh@inai.de
- Use noun phrase in summary.
- Trim long description.
* Thu Jun  7 2018 toddrme2178@gmail.com
- Fix source URL
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 1.21
  * add easier-to-read unicode aliases for ohms (Ω, mΩ, kΩ, etc.)
    and a few more constants (μ0, ε0, σSB, αFS).
    (note that unicode identifiers only work in Python 3)
  * add rtHz, rpm, rpm·2π
- Spec file cleanups
* Wed Oct 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 1.17
  * See changelog at https://github.com/sbyrnes321/numericalunits/blob/8a6d263c80db726989eaf7b67a1661456746d6db/Changes.txt
* Tue Feb  4 2014 toddrme2178@gmail.com
- Initial version (1.13)
